import { Component, OnInit } from '@angular/core';
import {pageSize} from '../../app.constants';

@Component({
  selector: 'smart-cost-record',
  templateUrl: './cost-record.component.html',
  styles: []
})
export class CostRecordComponent implements OnInit {

  recordList = [];
  isLoading = false;

  totalNum:Number;
  pageNum:Number;
  pageCount:Number = pageSize;

  startTime;
  endTime;
  timeFormat = 'yyyy-MM-dd';
  obj = {
    startTime:'',
    endTime:'',
    searchStr:''
  };

  constructor() { }

  ngOnInit() {
  }

  //获取列表
  getList(){

  }

  //搜索
  search(){
    this.pageNum = 1;
    this.getList();
  }

  //翻页
  change(e){
    this.pageNum = e;
    this.getList();
  }

  //查看
  lookRecord(data){

  }

}
